Lucid -> Precise trouble with do-release-upgrade

Colin Watson cjwatson at ubuntu.com
Sun Feb 12 13:53:34 UTC 2012


On Sun, Feb 12, 2012 at 09:18:45AM +0100, Nils Kassube wrote:
> When I try to upgrade (a copy of) my main system from Lucid to Precise 
> with the command "do-release-upgrade -d", I get the following message:
> 
> | Could not calculate the upgrade
> | 
> | An unresolvable problem occurred while calculating the upgrade:
> | E:Error, pkgProblemResolver::Resolve generated breaks, this may be
> | caused by held packages.
> | 
> | This can be caused by:
> | * Upgrading to a pre-release version of Ubuntu
> | * Running the current pre-release version of Ubuntu
> | * Unofficial software packages not provided by Ubuntu
> | 
> | If none of this applies, then please report this bug using the
> | command 'ubuntu-bug update-manager' in a terminal.
> 
> Well, I do have packages installed which were not provided by Ubuntu and 
> I tried to upgrade to a pre-release version. Does it really mean I 
> should not report the problem?

You should report it.  (Hmm, yes, the message is misleading.)

> After all I found a workaround for this situation by removing some
> packages which were installed from the Ubuntu repos.

The more situations we can make work without workarounds, the better it
will be for everyone.  We've been working our way through several of the
more frequent upgrade problems, but it's not surprising that we haven't
caught them all yet.

> 1. I had installed the package "gcj-jdk" including dependencies. 
> Removing these packages let the upgrade continue without the error 
> message above.
> 
> 2. However the upgrade stopped after a few packages were installed with 
> a failure message concerning the package "lib32asound2". After also 
> removing the packages which depended on this package (ia32libs, wine1.2, 
> etc.) from a fresh copy of the system, I could successfully run the 
> upgrade.
> 
> 3. After the first reboot, I got the error message "Could not start D-
> Bus. Can you call qdbus?" like it is mentioned at [1] (this is a Kubuntu 
> system btw). After manually installing the package "qdbus", the system 
> worked.
> 
> Please advise if and what I should report at launchpad.

This is excellent information for a bug report.  Please file it using
'ubuntu-bug update-manager' as described; that should automatically
attach enough information to let us reproduce it.

-- 
Colin Watson                                       [cjwatson at ubuntu.com]



More information about the Ubuntu-devel-discuss mailing list